summaryrefslogtreecommitdiff
path: root/packaging/debian/monkeysphere.prerm
diff options
context:
space:
mode:
authorMatt Goins <mjgoins@openflows.com>2009-03-10 09:33:05 -0400
committerMatt Goins <mjgoins@openflows.com>2009-03-10 09:33:05 -0400
commit282c489f3101f0d744b66d88853a150e79b0870d (patch)
treeb4028ecbb3d313ba41f956cc00fea7925982bfbb /packaging/debian/monkeysphere.prerm
parentcec56faf07bb4f3b8d563e4f3c9042b6579356e2 (diff)
parent69b3e256e2017d5664ef37d06aae5e5bcf446575 (diff)
Merge commit 'dkg/master'
Diffstat (limited to 'packaging/debian/monkeysphere.prerm')
-rwxr-xr-xpackaging/debian/monkeysphere.prerm27
1 files changed, 24 insertions, 3 deletions
diff --git a/packaging/debian/monkeysphere.prerm b/packaging/debian/monkeysphere.prerm
index 5835f53..1a5135a 100755
--- a/packaging/debian/monkeysphere.prerm
+++ b/packaging/debian/monkeysphere.prerm
@@ -2,10 +2,31 @@
# prerm script for monkeysphere
-# Author: Jameson Rollins <jrollins@finestructure.net>
-# Copyright 2008-2009
+# the only thing we're doing here is making sure that the local
+# administrator is not trying to downgrade to a version below 0.23,
+# since there was such a major reorganization of system data during
+# the transition to 0.23.
-true
+# Author: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+# Copyright 2009
+
+set -e
+
+case "$1" in
+ upgrade)
+ if dpkg --compare-versions "$2" lt 0.23 ; then
+ cat >&2 <<EOF
+
+Downgrading the monkeysphere to a version earlier than 0.23 can have
+BAD CONSEQUENCES, including potentially locking you out of the system.
+Downgrading in this fashion is NOT SUPPORTED.
+
+EOF
+
+ exit 1
+ fi
+ ;;
+esac
# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.